Intrusion Prevention

VLC.Player.VOB.File.Parsing.Heap.Corruption

Description

This indicates an attack attempt against a Heap Corruption vulnerability in VideoLan VLC Media Player.
The vulnerability is due to an error when the vulnerable software handles maliciously crafted VOB files. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted VOB file.

Affected Products

VLC Media Palyer 2.2.4 and earlier versions.

Impact

System Compromise: Remote attackers could gain control of vulnerable systems.

Recommended Actions

Apply the latest update from the vendor.
http://www.videolan.org/vlc/index.html